Bug 17560 - inn won't start
Summary: inn won't start
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-16 13:31 UTC by Sarantis Paskalis
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-16 14:47:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sarantis Paskalis 2000-09-16 13:31:59 UTC
Inn won't start after upgrading from 6.2 to pinstripe.
The startup scripts produce:

(root)/# /etc/rc.d/init.d/innd start
Starting INND system:                                      [  OK  ]
(root)/# /etc/rc.d/init.d/innd status
innd dead but subsys locked

Comment 1 Sarantis Paskalis 2000-09-16 14:47:34 UTC
The logs produced looked like

Sep 16 17:10:24 rompa innd: SERVER cant dbzinit /var/lib/news/history No such
file or directory

So I checked /var/lib/news and saw that history.pag and history.dir were renamed
as history.???.rpmsave.  I removed the .rpmsave from the end and the innd
finally got up and running.

The history appears to be messed up however, and no posts to the server can be
made. Log

Sep 16 17:21:33 rompa innd: SERVER throttle No such file or directory writing
history database file -- throttling

So I totally removed the history files and reinstalled the rpm, which placed
some correct entries in the history.dir file.

I think I have it running again.


Comment 2 Florian La Roche 2001-02-14 11:09:33 UTC
This should be ok by now. Unfortunately the number of possible storage
mechanisms has increased a lot, so that the newest rpm cannot update
older inn versions and just keep running without user intervention.

Apart from that, updates to further future rpms should be ok.








Note You need to log in before you can comment on or make changes to this bug.